{% extends 'pages/user/user_base.html.twig' %}

{% block title %} {{ title }} {% endblock %}

{% block user_body %}

    <div id="orders" class="tab-pane fade show active">
        <h3>Factors</h3>
        <div class="table-responsive">
            <table class="table">
                <thead>
                    <tr>
                        <th>Order</th>
                        <th>Code</th>
                        <th>Date</th>
                        <th>Status</th>
                        <th>Total</th>
                        <th>Details</th>
                    </tr>
                </thead>
                <tbody>
                    {% for factor in factors %}
                        <tr>
                            <td>{{ loop.index }}</td>
                            <td>{{ factor.factorNumber }}</td>
                            <td>{{ factor.createdAt|ago }}</td>
                            <td>Processing</td>
                            <td>$<span class="money">{{ factor.totalFinalPrice }}</span> for {{ factor.orders|length }} item </td>
                            <td>
                                <a class="view" href="{{ path('app_user_factor_orders',{'id':factor.id}) }}">Show detail</a>
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

{% endblock %}